#
# spec file for package perl-EBook-EPUB
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-EBook-EPUB
Version:        0.6
Release:        1.1
%define cpan_name EBook-EPUB
Summary:        module for generating EPUB documents
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/EBook-EPUB/
Source:         http://www.cpan.org/authors/id/O/OT/OTY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Data::UUID)
BuildRequires:  perl(Moose) >= 0.90
BuildRequires:  perl(XML::Writer)
Requires:       perl(Archive::Zip)
Requires:       perl(Data::UUID)
Requires:       perl(Moose) >= 0.90
Requires:       perl(XML::Writer)
%{perl_requires}

%description
module for generating EPUB documents

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes ignore.txt LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.6
  see /usr/share/doc/packages/perl-EBook-EPUB/Changes
  0.6     Thu 22 Dec 2011
  - Generate truly unique UUID
  - Propagate error during actual archive generation (pack_zip)
    to upper level so user code can handle them
  - Add setters for two DC items: publisher and coverage
  - Set XML encoding explicitly in OPF file XML declaration
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.5
  * created by cpanspec 1.78.04
